Save GST DRC-01 Data (SPIKE)
PUT
https://apisandbox.whitebooks.in/spike/spikesaveUsed to save entire SPIKE Data.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
frmtypstringoptionalForm Type
Example: "DRC01B"
refidstringoptionalReference Id for DRC01B
Example: "AA070922000131X"
rtnprdstringoptionalReturn Period
Example: "092022"
gstinstringoptionalGSTIN
Example: "07CMNPV1083B1ZX"
drc03arnarray<string>optionalitems: stringItems
reasonsarray<object>optionalReasons
Array items:
rsnstringoptionalReason
Example: "lbtohkhl"
rsncdstringoptionalReason Code
deldrc03arnarray<string>optionalitems: stringItems
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/spike/spikesave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save SPIKE data (PUT
/spike/spikesave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to save entire SPIKE Data.
No example available.